(Solucionado) Se desinstaló Unity y no puedo reistalarlo por error en dependencias

Imagen de tigu511
0 puntos

Bien, tenia el ubuntu 12.04 con los escritorios Unity y kde.
La ultima vez que ingrese a kde me salio el mensaje de actualizacion de sofware usual y le di aceptar, me indicó que habia que instalar paquetes no confiables y que se debian desinstalar algunos paquetes ya instalados, como nunca me dio problema acepte y segui normal.
Cuando volvi a iniciar el sistema ¡oh sorpresa! solo me daba la opcion de ingresar a kde por que ni unity ni unity2d estaban habilitadas, entre por kde y al ver detalladamente la lista de actualizaciones pude comprobar que en mi ultima actualizacion habia dado permiso para desinstalar unity.
Fui a la terminal y ejecute

sudo apt-get install ubuntu-desktop
[sudo] password for jaime:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
ubuntu-desktop : Depende: unity pero no va a instalarse
Depende: unity-2d pero no va a instalarse
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

al parecer he roto el sistema, que no es raro por que tengo demasiados ppa, y no me deja reinstalar unity. En lo que he leido tengo que purgar los ppa para volver a la estabilidad del sistema, pero no se si sea posible hacerlo en bloque (varios ppa a la vez) y cuantas aplicaciones sean desinstaladas en el proceso.
Pregunto: ¿es posible deshacer la ultima actualizacion realizada?, quiero decir regresar a el estado de, digamos, hace un par de dias?.

Gracias por su atencion, espero su ayuda.

Imagen de sordoman
+1
0
-1

Hola tigu511
Probaste sudo apt-get install -f ?

Tambien podrias porbar con sudo dpkg --configure -a

a ver si con esto se soluciona

suerte

+1
0
-1
Imagen de tigu511
+1
0
-1

sordoman, puse los comandos tal cual me dijiste y dale esto:

jaime@jaime-Satellite-L300:~$ sudo apt-get install -f
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
libkwinglutils1abi2 libgomp1:i386
Utilice «apt-get autoremove» para eliminarlos.
0 actualizados, 0 se instalarán, 0 para eliminar y 6 no actualizados.
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre

y

jaime@jaime-Satellite-L300:~$ sudo dpkg --configure -a
jaime@jaime-Satellite-L300:~$

¿estoy poniendo mal los comandos?

+1
0
-1
Imagen de cuentos
+1
0
-1

Es de llamar la atención la leyenda que te da:

N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre

Ya que los repositorios oficiales están en /etc/apt/sources.list.
Pon aquí como están tus repositorios para ver. Pon lo que te sale con estos comandos:
cat /etc/apt/sources.list
ls -l /etc/apt/sources.list.d

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de tigu511
+1
0
-1

jaime@jaime-Satellite-L300:~$ cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 12.04.1 LTS _Precise Pangolin_ - Release amd64 (20120823.1)]/ dists/precise/main/binary-i386/

# deb cdrom:[Ubuntu 12.04.1 LTS _Precise Pangolin_ - Release amd64 (20120823.1)]/ dists/precise/restricted/binary-i386/
# deb cdrom:[Ubuntu 12.04.1 LTS _Precise Pangolin_ - Release amd64 (20120823.1)]/ precise main restricted
deb-src http://archive.ubuntu.com/ubuntu precise main restricted #Added by software-properties

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://co.archive.ubuntu.com/ubuntu/ precise main restricted
deb-src http://co.archive.ubuntu.com/ubuntu/ precise restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://co.archive.ubuntu.com/ubuntu/ precise-updates main restricted
deb-src http://co.archive.ubuntu.com/ubuntu/ precise-updates restricted main multiverse universe #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://co.archive.ubuntu.com/ubuntu/ precise universe
deb http://co.archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://co.archive.ubuntu.com/ubuntu/ precise multiverse
deb http://co.archive.ubuntu.com/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://co.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://co.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse #Added by software-properties

deb http://co.archive.ubuntu.com/ubuntu/ precise-security main restricted
deb-src http://co.archive.ubuntu.com/ubuntu/ precise-security restricted main multiverse universe #Added by software-properties
deb http://co.archive.ubuntu.com/ubuntu/ precise-security universe
deb http://co.archive.ubuntu.com/ubuntu/ precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main
# deb http://packages.medibuntu.org/ precise free non-free
# deb-src http://packages.medibuntu.org/ precise free non-free
deb-src http://archive.getdeb.net/ubuntu precise-getdeb apps
deb http://archive.canonical.com/ precise partner
deb-src http://archive.canonical.com/ precise partner
jaime@jaime-Satellite-L300:~$ ls -l /etc/apt/sources.list
-rw-r--r-- 1 root root 3543 oct 4 08:53 /etc/apt/sources.list

+1
0
-1
Imagen de cuentos
+1
0
-1

el primer comando esta bien se ven los repositorios, pero en el segundo te falto ".d :
ls -l /etc/apt/sources.list.d
aquí se verán los repos externos o ppa

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de tigu511
+1
0
-1

bueno, ahora si pongo el comando correctamente:

jaime@jaime-Satellite-L300:~$ ls -l /etc/apt/sources.list.d
total 316
-rw-r--r-- 1 root root 87 oct 4 13:07 a-v-shkop-chromium-precise.list
-rw-r--r-- 1 root root 87 oct 4 13:07 a-v-shkop-chromium-precise.list.save
-rw-r--r-- 1 root root 136 oct 4 13:07 blahota-wxmaxima-precise.list
-rw-r--r-- 1 root root 136 oct 4 13:07 blahota-wxmaxima-precise.list.save
-rw-r--r-- 1 root root 70 jun 10 18:17 canonical
-rw-r--r-- 1 root root 57 oct 4 13:07 canonical_partner.list
-rw-r--r-- 1 root root 75 oct 4 13:07 canonical-partner.list
-rw-r--r-- 1 root root 57 oct 4 13:07 canonical_partner.list.save
-rw-r--r-- 1 root root 75 oct 4 13:07 canonical-partner.list.save
-rw-r--r-- 1 root root 160 oct 4 13:07 diwic-gstreamer-h264-testing-precise.list
-rw-r--r-- 1 root root 160 oct 4 13:07 diwic-gstreamer-h264-testing-precise.list.save
-rw-r--r-- 1 root root 150 oct 4 13:07 ffmulticonverter-stable-precise.list
-rw-r--r-- 1 root root 150 oct 4 13:07 ffmulticonverter-stable-precise.list.save
-rw-r--r-- 1 root root 0 oct 4 02:03 freyja-dev-unity-tweak-tool-daily-precise.list
-rw-r--r-- 1 root root 85 oct 4 02:03 freyja-dev-unity-tweak-tool-daily-precise.list.save
-rw-r--r-- 1 root root 130 oct 4 13:07 geany-dev-ppa-precise.list
-rw-r--r-- 1 root root 130 oct 4 13:07 geany-dev-ppa-precise.list.save
-rw-r--r-- 1 root root 57 oct 4 13:07 getdeb.list
-rw-r--r-- 1 root root 57 oct 4 13:07 getdeb.list.save
-rw-r--r-- 1 root root 175 oct 4 13:07 google-earth.list
-rw-r--r-- 1 root root 175 oct 4 13:07 google-earth.list.save
-rw-r--r-- 1 root root 0 oct 4 02:03 intellinuxgraphics.list
-rw-r--r-- 1 root root 89 oct 4 02:03 intellinuxgraphics.list.save
-rw-r--r-- 1 root root 142 oct 4 13:07 jd-team-jdownloader-precise.list
-rw-r--r-- 1 root root 142 oct 4 13:07 jd-team-jdownloader-precise.list.save
-rw-r--r-- 1 root root 146 oct 4 13:07 kubuntu-ppa-backports-precise.list
-rw-r--r-- 1 root root 146 oct 4 13:07 kubuntu-ppa-backports-precise.list.save
-rw-r--r-- 1 root root 73 oct 4 13:07 kupfer-team-ppa-precise.list
-rw-r--r-- 1 root root 73 oct 4 13:07 kupfer-team-ppa-precise.list.save
-rw-r--r-- 1 root root 142 oct 4 13:07 libredeb-precisedeb-precise.list
-rw-r--r-- 1 root root 142 oct 4 13:07 libredeb-precisedeb-precise.list.save
-rw-r--r-- 1 root root 134 oct 4 13:07 libreoffice-ppa-precise.list
-rw-r--r-- 1 root root 134 oct 4 13:07 libreoffice-ppa-precise.list.save
-rw-r--r-- 1 root root 134 oct 4 13:07 lkjoel-apt-undo-precise.list
-rw-r--r-- 1 root root 134 oct 4 13:07 lkjoel-apt-undo-precise.list.save
-rw-r--r-- 1 root root 283 oct 4 13:07 medibuntu.list
-rw-r--r-- 1 root root 283 oct 4 13:07 medibuntu.list.save
-rw-r--r-- 1 root root 95 oct 4 13:07 motumedia-mplayer-daily-precise.list
-rw-r--r-- 1 root root 95 oct 4 13:07 motumedia-mplayer-daily-precise.list.save
-rw-r--r-- 1 root root 174 oct 4 13:07 nightingaleteam-nightingale-release-precise.list
-rw-r--r-- 1 root root 174 oct 4 13:07 nightingaleteam-nightingale-release-precise.list.save
-rw-r--r-- 1 root root 79 oct 4 13:07 nilarimogard-webupd8-precise.list
-rw-r--r-- 1 root root 79 oct 4 13:07 nilarimogard-webupd8-precise.list.save
-rw-r--r-- 1 root root 416 ago 23 20:20 opera.list.save
-rw-r--r-- 1 root root 138 oct 4 13:07 pdfchain-team-ppa-precise.list
-rw-r--r-- 1 root root 138 oct 4 13:07 pdfchain-team-ppa-precise.list.save
-rw-r--r-- 1 root root 58 oct 4 13:07 playdeb.list
-rw-r--r-- 1 root root 58 oct 4 13:07 playdeb.list.save
-rw-r--r-- 1 root root 45 oct 4 13:07 playonlinux.list
-rw-r--r-- 1 root root 45 oct 4 13:07 playonlinux.list.save
-rw-r--r-- 1 root root 112 oct 4 13:07 repo-for-scribus.list
-rw-r--r-- 1 root root 112 oct 4 13:07 repo-for-scribus.list.save
-rw-r--r-- 1 root root 128 oct 4 13:07 rvm-smplayer-precise.list
-rw-r--r-- 1 root root 128 oct 4 13:07 rvm-smplayer-precise.list.save
-rw-r--r-- 1 root root 0 jul 30 13:20 skype.list
-rw-r--r-- 1 root root 99 jul 30 13:20 skype.list.save
-rw-r--r-- 1 root root 156 oct 4 13:07 snwh-moka-icon-theme-daily-precise.list
-rw-r--r-- 1 root root 156 oct 4 13:07 snwh-moka-icon-theme-daily-precise.list.save
-rw-r--r-- 1 root root 164 oct 4 13:07 stellarium-stellarium-releases-precise.list
-rw-r--r-- 1 root root 164 oct 4 13:07 stellarium-stellarium-releases-precise.list.save
-rw-r--r-- 1 root root 146 oct 4 13:07 texlive-backports-ppa-precise.list
-rw-r--r-- 1 root root 146 oct 4 13:07 texlive-backports-ppa-precise.list.save
-rw-r--r-- 1 root root 93 oct 4 13:07 tiheum-equinox-precise.list
-rw-r--r-- 1 root root 93 oct 4 13:07 tiheum-equinox-precise.list.save
-rw-r--r-- 1 root root 142 oct 4 13:07 tobydox-ultrastardx-precise.list
-rw-r--r-- 1 root root 142 oct 4 13:07 tobydox-ultrastardx-precise.list.save
-rw-r--r-- 1 root root 101 oct 4 13:07 transmissionbt-ppa-precise.list
-rw-r--r-- 1 root root 101 oct 4 13:07 transmissionbt-ppa-precise.list.save
-rw-r--r-- 1 root root 0 jun 5 17:18 trebelnik-stefina-nightingale-precise.list
-rw-r--r-- 1 root root 83 jun 5 17:18 trebelnik-stefina-nightingale-precise.list.save
-rw-r--r-- 1 root root 130 oct 4 13:07 tualatrix-ppa-precise.list
-rw-r--r-- 1 root root 130 oct 4 13:07 tualatrix-ppa-precise.list.save
-rw-r--r-- 1 root root 134 oct 4 13:07 ubuntu-wine-ppa-precise.list
-rw-r--r-- 1 root root 134 oct 4 13:07 ubuntu-wine-ppa-precise.list.save
-rw-r--r-- 1 root root 150 oct 4 13:07 ubuntu-x-swat-x-updates-precise.list
-rw-r--r-- 1 root root 150 oct 4 13:07 ubuntu-x-swat-x-updates-precise.list.save
-rw-r--r-- 1 root root 138 oct 4 13:07 upubuntu-com-chat-precise.list
-rw-r--r-- 1 root root 138 oct 4 13:07 upubuntu-com-chat-precise.list.save
-rw-r--r-- 1 root root 140 oct 4 13:07 upubuntu-com-tor64-precise.list
-rw-r--r-- 1 root root 140 oct 4 13:07 upubuntu-com-tor64-precise.list.save
-rw-r--r-- 1 root root 146 oct 4 13:07 videolan-stable-daily-precise.list
-rw-r--r-- 1 root root 146 oct 4 13:07 videolan-stable-daily-precise.list.save
-rw-r--r-- 1 root root 0 oct 4 02:03 virtualbox-offical-source.list
-rw-r--r-- 1 root root 106 oct 4 02:03 virtualbox-offical-source.list.save
jaime@jaime-Satellite-L300:~$

+1
0
-1
Imagen de Goyo
+1
0
-1

¿Qué problema hay para instalar unity-2d?

+1
0
-1
Imagen de tigu511
+1
0
-1

jaime@jaime-Satellite-L300:~$ sudo apt-get install unity-2d
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
unity-2d : Depende: unity-2d-panel pero no va a instalarse
Depende: unity-2d-spread pero no va a instalarse
Depende: unity-2d-shell pero no va a instalarse
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
jaime@jaime-Satellite-L300:~$

+1
0
-1
Imagen de Goyo
+1
0
-1

¿Y qué problemas hay para instalar unity-2d-panel, unity-2d-spread y unity-2d-shell?

+1
0
-1
Imagen de tigu511
+1
0
-1

fui a la terminal y empece a agregar en la misma orden a los paquetes que me va pidiendo en cada caso, mira lo que sale:

jaime@jaime-Satellite-L300:~$ sudo apt-get install -f ubuntu-desktop unity unity-2d
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
unity : Depende: libunity-core-5.0-5 (= 5.20.0-0ubuntu2) pero no va a instalarse
unity-2d : Depende: unity-2d-panel pero no va a instalarse
Depende: unity-2d-spread pero no va a instalarse
Depende: unity-2d-shell pero no va a instalarse
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
jaime@jaime-Satellite-L300:~$ sudo apt-get install -f ubuntu-desktop unity unity-2d libunity-core-5.0-5 unity-2d-panel unity-2d-spread unity-2d-shell
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
libunity-core-5.0-5 : Depende: unity-services (= 5.20.0-0ubuntu2) pero no va a instalarse
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
jaime@jaime-Satellite-L300:~$ sudo apt-get install -f ubuntu-desktop unity unity-2d libunity-core-5.0-5 unity-2d-panel unity-2d-spread unity-2d-shell unity-services
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
dbus : Rompe: unity-services (< 6.0.0-0ubuntu6) pero 5.20.0-0ubuntu2 va a ser instalado
ubuntu-desktop : Depende: gnome-control-center pero no va a instalarse
Depende: gnome-power-manager pero no va a instalarse
Depende: gnome-session pero no va a instalarse
Depende: gnome-system-log pero no va a instalarse
Depende: language-selector-gnome pero no va a instalarse
Depende: pulseaudio
Depende: software-center pero no va a instalarse
Depende: software-properties-gtk pero no va a instalarse
Recomienda: acpi-support pero no va a instalarse
Recomienda: aisleriot pero no va a instalarse
Recomienda: avahi-daemon
Recomienda: bluez
Recomienda: bluez-alsa pero no va a instalarse
Recomienda: bluez-gstreamer pero no va a instalarse
Recomienda: empathy pero no va a instalarse
Recomienda: gnome-bluetooth pero no va a instalarse
Recomienda: gnome-disk-utility pero no va a instalarse
Recomienda: gnome-screensaver pero no va a instalarse
Recomienda: hplip pero no va a instalarse
Recomienda: ibus pero no va a instalarse
Recomienda: ibus-pinyin pero no va a instalarse
Recomienda: ibus-table pero no va a instalarse
Recomienda: jockey-gtk pero no va a instalarse
Recomienda: landscape-client-ui-install pero no va a instalarse
Recomienda: libnss-mdns pero no va a instalarse
Recomienda: libreoffice-gnome pero no va a instalarse
Recomienda: nautilus-share pero no va a instalarse
Recomienda: network-manager-gnome pero no va a instalarse
Recomienda: pulseaudio-module-bluetooth pero no va a instalarse
Recomienda: pulseaudio-module-gconf pero no va a instalarse
Recomienda: pulseaudio-module-x11 pero no va a instalarse
Recomienda: python-aptdaemon.pkcompat pero no va a instalarse
Recomienda: rhythmbox pero no va a instalarse
Recomienda: rhythmbox-plugin-magnatune pero no va a instalarse
Recomienda: rhythmbox-ubuntuone pero no va a instalarse
Recomienda: shotwell pero no va a instalarse
Recomienda: totem-mozilla pero no va a instalarse
Recomienda: ubuntuone-client-gnome pero no va a instalarse
Recomienda: ubuntuone-installer pero no va a instalarse
Recomienda: usb-creator-gtk pero no va a instalarse
Recomienda: xul-ext-ubufox pero no va a instalarse
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
E: Error, pkgProblemResolver::Resolve generó cortes, esto puede haber sido causado por paquetes retenidos.
jaime@jaime-Satellite-L300:~$

+1
0
-1
Imagen de Goyo
+1
0
-1

Aparentemente tienes una versión incompatible de dbus. Pega la salida de este comando:
apt-cache policy dbus

+1
0
-1
Imagen de tigu511
+1
0
-1

jaime@jaime-Satellite-L300:~$ apt-cache policy dbus
dbus:
Instalados: 1.6.4.pkg1-1
Candidato: 1.6.4.pkg1-1
Tabla de versión:
*** 1.6.4.pkg1-1 0
500 http://ppa.launchpad.net/libredeb/precisedeb/ubuntu/ precise/main amd64 Packages
100 /var/lib/dpkg/status
1.4.18-1ubuntu1.4 0
500 http://archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
500 http://archive.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
1.4.18-1ubuntu1 0
500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre
N: Ignorando el archivo «canonical» en el directorio «/etc/apt/sources.list.d/» dado que no tiene extensión del nombre

+1
0
-1
Imagen de Goyo
+1
+1
-1

Parece que no tienes la lista de paquetes actualizada. Para remediarlo ejecuta
sudo apt-get update
Después instala la versión correcta de dbus:
sudo apt-get install dbus=1.4.18-1ubuntu1.4
Y si te propone desinstalar algún paquete piénsalo bien antes de confirmar.

+1
+1
-1
Imagen de tigu511
+1
0
-1

problema solucionado, al bajar la version de dbus a 1.4.18 ya es posible instalar unity.
Gracias!!

+1
0
-1
Imagen de Jose Luis 1320
+1
-1
-1

hay que saber usarlos, aqui nadie es reponsable de lo que digan en blogs, ni siquiera Canonical se responsabiliza por el uso desmesurado que tu le das a los PPAs.

+1
-1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de cuentos
+1
0
-1

Lo veo muy complicado restaurar el sistemas de dependencias. Sin ponerme a ver que tiene cada ppa de primeras estos se me hacen "problemáticos"

-rw-r--r-- 1 root root 70 jun 10 18:17 canonical
-rw-r--r-- 1 root root 57 oct 4 13:07 canonical_partner.list
-rw-r--r-- 1 root root 75 oct 4 13:07 canonical-partner.list
-rw-r--r-- 1 root root 146 oct 4 13:07 kubuntu-ppa-backports-precise.list
-rw-r--r-- 1 root root 146 oct 4 13:07 kubuntu-ppa-backports-precise.list.save
-rw-r--r-- 1 root root 134 oct 4 13:07 libreoffice-ppa-precise.list
-rw-r--r-- 1 root root 134 oct 4 13:07 libreoffice-ppa-precise.list.save
-rw-r--r-- 1 root root 146 oct 4 13:07 texlive-backports-ppa-precise.list
-rw-r--r-- 1 root root 146 oct 4 13:07 texlive-backports-
-rw-r--r-- 1 root root 101 oct 4 13:07 transmissionbt-ppa-precise.list
-rw-r--r-- 1 root root 101 oct 4 13:07 transmissionbt-
rw-r--r-- 1 root root 134 oct 4 13:07 ubuntu-wine-ppa-precise.list
-rw-r--r-- 1 root root 134 oct 4 13:07 ubuntu-wine-ppa-precise.list.save

el de kubuntu-ppa-backports-precise.list ya a otro usuario le rompió el sistema.
y otros de:
-rw-r--r-- 1 root root 70 jun 10 18:17 canonical
-rw-r--r-- 1 root root 57 oct 4 13:07 canonical_partner.list
-rw-r--r-- 1 root root 75 oct 4 13:07 canonical-partner.list
También pueden ser.
Difícil, pero bueno espero que Goyo te pueda dar un buen consejo.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de tigu511
+1
0
-1

Ha sido una experiencia interesante, como usuario mas bien novato de ubuntu opté al migrar por la LTS, he agregado PPAs de forma desmesurada y eso no lo resiste siquiera una robusta LTS. Sin embargo como ésta situacion se debe a "explorar" un modo grafico alterno, muy conocido ademas (KDE), recomiendo hacer este tipo de experimentos con las versiones officiales en los repositorios, sin agragar PPAs, la versionitis es una enfermedad real entre los migrantes de otros sistemas operativos, no es mala, sin embargo pido mesura al instalar algo que requiera tantos paquetes (y por lo tanto que modifica en un gran nivel al sistema de dependencias)
La solucion fue en este caso bajar la version de dbus (leer respuestas de el usuario Goyo, a quien le quedo sumamente agradecido)

Prometo ser mas precavido en adelante.
gracias a todos.

+1
0
-1
Imagen de Goyo
+1
+2
-1

No, el problema no vino de una cantidad desmesurada de PPAs sino de un paquete concreto de un repositorio concreto (Precise DEBs) que además se retiró enseguida. Pero tú actualizaste justamente en el momento inoportuno.

Añadiendo únicamente el PPA de Precise DEBs hubieras tenido el problema igual.

Añadiendo todos los repositorios que tienes excepto el de Precise DEBs no hubieras tenido el problema.

Prestando un poco de atención no hubieras tenido el problema en ningún caso.

+1
+2
-1
Imagen de tigu511
+1
0
-1

Gracias por la aclaracion, viene bien la recomendacion de ser cuidadoso al final.
igual gracias por tu atencion.

+1
0
-1